Subject: bug#8002: closed (Re: bug#11997: 24.1.50; Crash under MacOS X)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 Aug 2016 18:48:03 +0000

Your bug report

#7765: (new) reproducible crash on mac os x

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7765: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7765
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11997: 24.1.50; Crash under MacOS X
From: Alan Third <[email-masked]>
To: Konrad Hinsen <[email-masked]>
Cc: [email-masked], [email-masked], emacs user <[email-masked]>
Date: Thu, 11 Aug 2016 19:47:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Konrad Hinsen <[email-masked]> writes:

> Alan Third <[email-masked]> writes:
>
>> Konrad Hinsen <[email-masked]> writes:
>>
>>> Emacs crashed while I was reading my mail using ViewMail. This happens
>>> to me about once per month. The gdb traceback is attached. My Emacs
>>> was compiled from trunk in the Bazaar repository, updated on July 19th
>>> 2012.
>>
>> Hi, sorry nobody's got back to you about these crashes before now. Are
>> either of you still getting them?
>
> I switched from VM to notmuch a year ago, but I stopped noticing those
> crashes long before, so I assume the bug has been fixed.

Thanks. I'm going to close this bug report, but if anyone is still
experiencing the crashes, please let us know or re-open the report.
-- 
Alan Third

Subject: (new) reproducible crash on mac os x
From: emacs user <[email-masked]>
To: [email-masked]
Date: Tue, 8 Feb 2011 00:15:37 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

hi all, when I compile emacs with -g only, it crash as soon as I try
to use it to read my mail using vm.  this is using most recent trunk
version on mac os x.  attached is the debugger output.  this depends
on my mail files and .emacs, so I cannot provide a simple example, but
can easily reproduce this crash myself as needed and run tests given
specific instructions.   I still get quite a few crashes with vm+trunk
version, so I am hoping that fixing this one will eliminate at least
some of them.  thanks for any help.  E

~ $ cd /usr/local/emacs/trunk/src/
/usr/local/emacs/trunk/src $ gdb ../nextstep/Emacs.app/Contents/MacOS/Emacs
GNU gdb 6.3.50-20050815 (Apple version gdb-1472) (Wed Jul 21 10:53:12 UTC 2010)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-apple-darwin"...Reading symbols for
shared libraries ............. done

DISPLAY = /tmp/launch-jALPBe/org.x:0
TERM = xterm-color
Breakpoint 1 at 0x4189374bb95c7f
Breakpoint 2 at 0x100135c21: file sysdep.c, line 840.
(gdb) run
Starting program:
/usr/local/emacs/trunk/nextstep/Emacs.app/Contents/MacOS/Emacs
Reading symbols for shared libraries
.++++++++++++......................................................................................
done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done

Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_PROTECTION_FAILURE at address: 0x00007fff5f3aeff8
0x00000001001a34b6 in mark_object (arg=4821717221) at alloc.c:5419
5419		mark_vectorlike (XVECTOR (obj));
(gdb) xbacktrace
"vm-number-messages"warning: Unable to restore previously selected frame.
Unsafe to call functions on thread 1: function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfbc58)
"vm-do-needed-renumbering"Unsafe to call functions on thread 1:
function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfc178)
Unsafe to call functions on thread 1: function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
0x4d5a800 PVEC_COMPILED
"mapatoms"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfc838)
"vm-update-summary-and-mode-line"Unsafe to call functions on thread 1:
function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfcd58)
"byte-code"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfd1c0)
"vm"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfd880)
"vm-my-open-folder-RMAIL"Unsafe to call functions on thread 1:
function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfdc80)
"call-interactively"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfe0b8)
(gdb) backtrace full
#0  0x00007fff850bf704 in malloc_gdb_po_unsafe ()
No symbol table info available.

Lisp Backtrace:
"vm-number-messages"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfbc58)
"vm-do-needed-renumbering"Unsafe to call functions on thread 1:
function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfc178)
Unsafe to call functions on thread 1: function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
0x4d5a800 PVEC_COMPILED
"mapatoms"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfc838)
"vm-update-summary-and-mode-line"Unsafe to call functions on thread 1:
function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfcd58)
"byte-code"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfd1c0)
"vm"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfd880)
"vm-my-open-folder-RMAIL"Unsafe to call functions on thread 1:
function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfdc80)
"call-interactively"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 (0x5fbfe0b8)
(gdb) Quit
(gdb)